Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.engine
Class JRStyledTextAttributeSelector

    java.lang.Object
      net.sf.jasperreports.engine.JRStyledTextAttributeSelector

    public abstract class JRStyledTextAttributeSelector

extends java.lang.Object

Selector of element-level styled text attributes for print text objects.

Version:
  $Id: JRStyledTextAttributeSelector.java 3420 2010-02-18 09:17:47Z teodord $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)
See Also:
  `JRPrintText.getStyledText(JRStyledTextAttributeSelector)`, `JRPrintText.getFullStyledText(JRStyledTextAttributeSelector)`

Field Summary
`static JRStyledTextAttributeSelector` | `ALL` Selects all styled text attributes, i.e. font attributes plus forecolor and backcolor.
`static JRStyledTextAttributeSelector` | `NO_BACKCOLOR` Selects all styled text attribute except backcolor, i.e. font attributes plus forecolor.
`static JRStyledTextAttributeSelector` | `NONE` Doesn't select any styled text attribute.

Constructor Summary
`JRStyledTextAttributeSelector()`

Method Summary
`abstract java.util.Map` | `getStyledTextAttributes(JRPrintText printText)` Construct a map containing the selected element-level styled text attributes for a print text element.
`static java.util.Locale` | `getTextLocale(JRPrintText printText)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ALL

    public static final JRStyledTextAttributeSelector ALL

  Selects all styled text attributes, i.e. font attributes plus forecolor and backcolor.

### NO_BACKCOLOR

    public static final JRStyledTextAttributeSelector NO_BACKCOLOR

  Selects all styled text attribute except backcolor, i.e. font attributes plus forecolor.

### NONE

    public static final JRStyledTextAttributeSelector NONE

  Doesn't select any styled text attribute.

Constructor Detail

### JRStyledTextAttributeSelector

    public JRStyledTextAttributeSelector()

Method Detail

### getTextLocale

    public static java.util.Locale getTextLocale(JRPrintText printText)

### getStyledTextAttributes

    public abstract java.util.Map getStyledTextAttributes(JRPrintText printText)

  Construct a map containing the selected element-level styled text attributes for a print text element.

  Parameters:
    `printText` - the print text object
  Returns:
    a map containing styled text attributes

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com